summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Vijay Marcel2022-08-26 21:35:48 +0200
committer Willy Sudiarto Raharjo2022-08-27 17:50:32 +0200
commit6aff3af2d004648285451d9ba376d0f0d77ec84e (patch)
tree94e76ae4c94b204e1dcaa4092eddb51a1da00d79 /multimedia
parent7f420e35026da29afff214cad00d8dfbb2c65e23 (diff)
downloadslackbuilds-6aff3af2d004648285451d9ba376d0f0d77ec84e.tar.gz
multimedia/vo-amrwbenc: Added (AMR-WB Encoder)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/vo-amrwbenc/README4
-rw-r--r--multimedia/vo-amrwbenc/slack-desc19
-rw-r--r--multimedia/vo-amrwbenc/vo-amrwbenc.SlackBuild114
-rw-r--r--multimedia/vo-amrwbenc/vo-amrwbenc.info10
4 files changed, 147 insertions, 0 deletions
diff --git a/multimedia/vo-amrwbenc/README b/multimedia/vo-amrwbenc/README
new file mode 100644
index 0000000000..2f86bee314
--- /dev/null
+++ b/multimedia/vo-amrwbenc/README
@@ -0,0 +1,4 @@
+Library for the VisualOn Adaptive Multi rate
+wide band audii encoder.
+
+This is an optional dependency for FFmpeg.
diff --git a/multimedia/vo-amrwbenc/slack-desc b/multimedia/vo-amrwbenc/slack-desc
new file mode 100644
index 0000000000..95e670ff9c
--- /dev/null
+++ b/multimedia/vo-amrwbenc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vo-amrwbenc: vo-amrwbenc (AMR-WB Encoder)
+vo-amrwbenc:
+vo-amrwbenc: Library for the VisualOn Adaptive Multi rate
+vo-amrwbenc: wide band audii encoder.
+vo-amrwbenc:
+vo-amrwbenc: Homepage: https://sourforge.net/projects/opencore-amr
+vo-amrwbenc:
+vo-amrwbenc:
+vo-amrwbenc:
+vo-amrwbenc:
+vo-amrwbenc:
diff --git a/multimedia/vo-amrwbenc/vo-amrwbenc.SlackBuild b/multimedia/vo-amrwbenc/vo-amrwbenc.SlackBuild
new file mode 100644
index 0000000000..b56b8db0c4
--- /dev/null
+++ b/multimedia/vo-amrwbenc/vo-amrwbenc.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+
+# Slackware build script for vo-amrwbenc
+
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=vo-amrwbenc
+VERSION=${VERSION:-0.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+ CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --bindir=/usr/bin \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-example \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING NOTICE README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $TMP/$PRGNAM-$VERSION/amrwbenc/doc/voAMRWBEncoderSDK.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/vo-amrwbenc/vo-amrwbenc.info b/multimedia/vo-amrwbenc/vo-amrwbenc.info
new file mode 100644
index 0000000000..28ff38ae59
--- /dev/null
+++ b/multimedia/vo-amrwbenc/vo-amrwbenc.info
@@ -0,0 +1,10 @@
+PRGNAM="vo-amrwbenc"
+VERSION="0.1.3"
+HOMEPAGE="https://sourceforge.net/projects/opencore-amr/"
+DOWNLOAD="https://downloads.sourceforge.net/sourceforge/opencore-amr/vo-amrwbenc/vo-amrwbenc-0.1.3.tar.gz"
+MD5SUM="f63bb92bde0b1583cb3cb344c12922e0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"